#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

main()
{
	char str[10], *res; int x;
	int i;
	FILE *fd=fopen("/home/me/Desktop/pipe","r");

  	while(1)
 	{
    		res=fgets(str,10,fd);
    		
		if(res!=NULL) 
		{
      			x=atoi(str);
			printf("Adding %d children under init. \n", x); 
			for(i=0;i<x;i++)
			{
				if(!fork())
				{
					exit(0);
				}
			}
			printf("\n");
			wait(0);
			system("ps -e -o pid,ppid,comm | grep uppg1");
    		}
    	sleep(1);
  	}

}
